\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Conforming Triangulations and Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Classes | Enumerations
2D Conforming Triangulations and Meshes Reference

##

Laurent Rineau
This package implements a Delaunay refinement algorithm to construct conforming triangulations and 2D meshes. Conforming Delaunay triangulations are obtained from constrained Delaunay triangulations by refining constrained edges until they are Delaunay edges. Conforming Gabriel triangulations are obtained by further refining constrained edges until they become Gabriel edges. The package provides also a 2D mesh generator that refines triangles and constrained edges until user defined size and shape criteria on triangles are satisfied. The generated meshes can be optimized using the Lloyd algorithm, also provided in this package. The package can handle intersecting input constraints and set no restriction on the angle formed by two constraints sharing an endpoint.

Introduced in: CGAL 3.1
Depends on: 2D Triangulation
BibTeX: cgal:r-ctm2-16a
License: GPL
Windows Demo: 2D Mesh Generator
Common Demo Dlls: dlls

## Classified Reference Pages

## Concepts

- `ConformingDelaunayTriangulationTraits_2`
- `DelaunayMeshTraits_2`
- `MeshingCriteria_2`
- `DelaunayMeshFaceBase_2`
- `DelaunayMeshVertexBase_2`

## Classes

- `CGAL::Triangulation_conformer_2<CDT>`
- `CGAL::Delaunay_mesher_2<CDT, Criteria>`
- `CGAL::Delaunay_mesh_face_base_2<Traits, Fb>`
- `CGAL::Delaunay_mesh_vertex_base_2<Traits, Vb>`
- `CGAL::Delaunay_mesh_criteria_2<CDT>`
- `CGAL::Delaunay_mesh_size_criteria_2<CDT>`
- `CGAL::Mesh_2::Face_badness`

## Global functions

- `CGAL::make_conforming_Delaunay_2`
- `CGAL::make_conforming_Gabriel_2`
- `CGAL::refine_Delaunay_mesh_2`
- `CGAL::lloyd_optimize_mesh_2`

## Enumerations

- `CGAL::Mesh_optimization_return_code`

## Modules
| Concepts
| Mesh Generation Functions
| The main function to generate a mesh is `refine_Delaunay_mesh_2()`.
| Enumerations

## Classes
class | CGAL::Delaunay_mesh_criteria_2< CDT >
| The class `Delaunay_mesh_criteria_2` is a model for the `MeshingCriteria_2` concept. More...
class | CGAL::Delaunay_mesh_face_base_2< Traits, Fb >
| The class `Delaunay_mesh_face_base_2` is a model for the concept `DelaunayMeshFaceBase_2`. More...
class | CGAL::Delaunay_mesh_size_criteria_2< CDT >
| The class `Delaunay_mesh_size_criteria_2` is a model for the `MeshingCriteria_2` concept. More...
class | CGAL::Delaunay_mesh_vertex_base_2< Traits, Vb >
| The class `Delaunay_mesh_vertex_base_2` is a model for the concept `DelaunayMeshVertexBase_2`. More...
class | CGAL::Delaunay_mesher_2< CDT, Criteria >
| This class implements a 2D mesh generator. More...
class | CGAL::Triangulation_conformer_2< CDT >
| The class `Triangulation_conformer_2` is an auxiliary class of `Delaunay_mesher_2<CDT>`. More...

## Enumerations
enum | CGAL::Mesh_2::Face_badness { CGAL::Mesh_2::NOT_BAD, CGAL::Mesh_2::BAD, CGAL::Mesh_2::IMPERATIVELY_BAD }

## Enumeration Type Documentation

enum CGAL::Mesh_2::Face_badness

`#include <CGAL/Mesh_2/Face_badness.h>`

Enumerator
NOT_BAD |
BAD |
IMPERATIVELY_BAD |